Name: qpopper
Version: 2.53
Release: 1
Copyright: BSD
Group: Networking/Daemons
Source: ftp://ftp.qualcomm.com/eudora/servers/unix/popper/qpopper2.53.tar.Z
#Patch: qpopper-2.53.linux.diff
#Patch1: qpopper-2.53.cobalt.diff
Summary: POP3 daemon from Qualcomm
Packager: Ian Burrell <iburrell@leland.stanford.edu>

%description
POP3 server from QUALCOMM, with the following features: lower memory
requirements, thus faster UIDL assists POP clients which "leave mail
on server" in determining which messages are new. Implements some
other extended POP3 commands. 

This version of qpopper is shadow passwords aware, provied your libc
supports this.
%changelog

* Fri Jul 17 1998 Aaron Fosdick <aaron@cobaltmicro.com>
- update to 2.53

%prep
%setup -n qpopper2.53
#%patch
#%patch1 -p1

%build
./configure --prefix=/usr
make
make popauth
#RPM_OPT_FLAGS="$RPM_OPT_FLAGS" make linux

%install
install -m755 -s popper /usr/sbin/in.qpopper
install -m755 popper.8 /usr/man/man8/in.qpopper.8
install -m755 -s popauth /usr/sbin/popauth
install -m755 popauth.8 /usr/man/man8/popauth.8
install -m755 -o root -g mail -d /var/spool/mail/bulletins
#touch /var/spool/mail/bulletins/bulldb.pag
#touch /var/spool/mail/bulletins/bulldb.dir
#chmod 640 /var/spool/mail/bulletins/bulldb.pag
#chmod 640 /var/spool/mail/bulletins/bulldb.dir

chmod 1777 /var/spool/mail

%post

# Change /etc/inetd.conf to use in.qpopper
mv /etc/inetd.conf /etc/inetd.conf.noqpopper
sed -e "s/ipop3d/in.qpopper/g" /etc/inetd.conf.noqpopper &> /etc/inetd.conf 

%files
%doc INSTALL doc/Release.Notes
%dir /var/spool/mail/bulletins
/usr/sbin/in.qpopper
/usr/sbin/popauth
/usr/man/man8/in.qpopper.8
/usr/man/man8/popauth.8




